New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

install failing in virtualenvironmet #22

Closed
sharkwheels opened this Issue Jun 24, 2017 · 4 comments

Comments

Projects
None yet
2 participants
@sharkwheels

sharkwheels commented Jun 24, 2017

Hi. I'm getting this error when trying to install in a virtual environment: Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/j4/h1bl7sdn54qgg21hfwr974l40000gn/T/pip-build-h0o9zgpp/ruamel.yaml/

Any suggestions on how to troubleshoot this? Preferably without running as sudo? I have the latest pip and updated my setuptools. The virtual environment is running Python 3.5.0 on OSX 10.11.6

Thank you!

@treethought

This comment has been minimized.

Show comment
Hide comment
@treethought

treethought Jun 24, 2017

Owner

Interesting. I'm getting this on multiple versions of python 3 on macOS and at least 3.5.2 on linux. However, I don't get the error on macOS 2.7.

The error occurs within ruamel.yaml (external library), however the frozen version (0.13.14) worked previously. So perhaps this is an issue with pip/setuptools?

Thanks for bringing this up. I'll try to look into it.

Owner

treethought commented Jun 24, 2017

Interesting. I'm getting this on multiple versions of python 3 on macOS and at least 3.5.2 on linux. However, I don't get the error on macOS 2.7.

The error occurs within ruamel.yaml (external library), however the frozen version (0.13.14) worked previously. So perhaps this is an issue with pip/setuptools?

Thanks for bringing this up. I'll try to look into it.

@treethought

This comment has been minimized.

Show comment
Hide comment
Owner

treethought commented Jun 24, 2017

@sharkwheels

This comment has been minimized.

Show comment
Hide comment
@sharkwheels

sharkwheels Jun 24, 2017

Just an update, I went to read the rumel.yaml thread, and was checking around to see if wheel existed in my virtual environments, but it did not.

I went and installed wheel, and this cleared up the install error for both a virtualenv running python 3.5.0 and 2.7

sharkwheels commented Jun 24, 2017

Just an update, I went to read the rumel.yaml thread, and was checking around to see if wheel existed in my virtual environments, but it did not.

I went and installed wheel, and this cleared up the install error for both a virtualenv running python 3.5.0 and 2.7

@treethought

This comment has been minimized.

Show comment
Hide comment
@treethought

treethought Jun 24, 2017

Owner

This was resolved by the owner of ruamel.yaml. try installing the latest version of flask-assistant
pip install -U flask-assistant

Owner

treethought commented Jun 24, 2017

This was resolved by the owner of ruamel.yaml. try installing the latest version of flask-assistant
pip install -U flask-assistant

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment